
#define TIMIDITY 0
#define SAJBERPLAY 1
#define DUMB 2

#define MIDI 0
#define MP3 1
#define MOD 2
#define UNKNOWN -1


#define FILELOAD_OK 0
#define FILELOAD_ADD 1
#define FILELOAD_CANCEL 2
#define FILELOAD_ALL 3


void window_destroyed(GtkWidget *w, GtkWidget **window);
void close_dialog(GtkWidget *w);
void toggle_parameter(GtkWidget *w, int *parameter);

GtkWidget * option_dialog_create(void);
GtkWidget * volume_bar_new(int dev);
GtkWidget * fs_dialog_create(void);
void default_list_load(void);
void default_list_save(void);
GtkWidget * create_file_list(GtkWidget * box);
void create_file_selection_box(GtkWidget *box);
void list_append(char *filename);
void list_append_begin(void);
void list_append_end(void);
void select_update(void);
