#ifndef __CONTROLDATA_H
#define __CONTROLDATA_H


#define MSG_CTRL         0
#define MSG_BUFFER       1
#define MSG_SONG         2
#define MSG_QUIT         3
#define MSG_NEXT         4
#define MSG_QUERY        5
#define MSG_RESPONSE     6
#define MSG_BUFAHEAD     7
#define MSG_FRAMES       8
#define MSG_POSITION     9
#define MSG_SEEK         10
#define MSG_PRIORITY     11
#define MSG_RELEASE      12
#define MSG_AUDIOFAILURE 13
#define MSG_AUDIORELEASE 14

// MSG_PRIORITY
#define PRIORITY_NORMAL   1
#define PRIORITY_REALTIME 2
#define PRIORITY_NICE     3

// MSG_CTRL
#define PLAY_STOP     0
#define PLAY_PAUSE    1
#define FORWARD_BEGIN 2
#define FORWARD_STEP  3
#define FORWARD_END   4
#define REWIND_BEGIN  5
#define REWIND_STEP   6
#define REWIND_END    7

// MSG_QUERY
#define QUERY_PLAYING 1
#define QUERY_PAUSED  2

// MSG_RESPONSE
#define FAILURE       0
#define SUCCESS       1

struct m_cmsghdr
{
      unsigned int  cmsg_len;
      int  cmsg_level;   
      int  cmsg_type;    
      int  fd;
};

typedef struct __controlmsg
{
      int type;
      int data;
} TControlMsg, *PControlMsg;

#endif
